Name:		jglobus
Version:	2.0.4
Release:	2%{?dist}
Summary:	Globus Java client libraries

#		Everything is Apache 2.0 except for one file that is MIT:
#		ssl-proxies/src/main/java/org/globus/tools/GridCertRequest.java
License:	ASL 2.0 and MIT
URL:		http://www.globus.org/toolkit/%{name}/
#		Source generated from a git checkout:
#		git clone http://github.com/%{name}/JGlobus
#		cd JGlobus
#		echo '*.jar export-ignore' > .gitattributes
#		git archive --prefix %{name}-%{version}/ --worktree-attributes \
#		    JGlobus-%{version} | gzip > ../%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
#		Let maven find the Fedora supplied versions of dependencies
Patch0:		%{name}-deps.patch
#		Remove a junk character in a comment that upsets javadoc
Patch1:		%{name}-junk.patch

BuildArch:	noarch

BuildRequires:	jpackage-utils
BuildRequires:	java-devel
BuildRequires:	maven
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	maven-release-plugin
BuildRequires:	maven-resources-plugin

BuildRequires:	apache-commons-codec
BuildRequires:	apache-commons-io
BuildRequires:	apache-commons-lang
BuildRequires:	apache-commons-logging
BuildRequires:	bouncycastle
BuildRequires:	log4j
BuildRequires:	springframework

%description
%{name} is a collection of Java client libraries for Globus Toolkit security,
GRAM and GridFTP.

%package ssl-proxies
Summary:	Globus Java - SSL and proxy certificate support
License:	ASL 2.0 and MIT
Requires:	jpackage-utils
Requires:	java
Requires:	apache-commons-codec
Requires:	apache-commons-io
Requires:	apache-commons-lang
Requires:	apache-commons-logging
Requires:	bouncycastle
Requires:	log4j
Requires:	springframework

%description ssl-proxies
Globus Java library with SSL and proxy certificate support

%package jsse
Summary:	Globus Java - SSL support
License:	ASL 2.0
Requires:	jpackage-utils
Requires:	java
Requires:	%{name}-ssl-proxies = %{version}-%{release}
Requires:	apache-commons-codec
Requires:	apache-commons-logging
Requires:	log4j

%description jsse
Globus Java library with SSL support

%package gss
Summary:	Globus Java - GSS-API implementation for SSL with proxies
License:	ASL 2.0
Requires:	jpackage-utils
Requires:	java
Requires:	%{name}-ssl-proxies = %{version}-%{release}
Requires:	%{name}-jsse = %{version}-%{release}
Requires:	apache-commons-codec
Requires:	apache-commons-io
Requires:	apache-commons-lang
Requires:	apache-commons-logging
Requires:	bouncycastle
Requires:	log4j

%description gss
Globus Java GSS-API implementation for SSL with proxies

%package gram
Summary:	Globus Java - Grid Resource Allocation and Management (GRAM)
License:	ASL 2.0
Requires:	jpackage-utils
Requires:	java
Requires:	%{name}-ssl-proxies = %{version}-%{release}
Requires:	%{name}-jsse = %{version}-%{release}
Requires:	%{name}-gss = %{version}-%{release}
Requires:	apache-commons-logging
Requires:	bouncycastle
Requires:	springframework

%description gram
Globus Java library with GRAM support

%package gridftp
Summary:	Globus Java - GridFTP
License:	ASL 2.0
Requires:	jpackage-utils
Requires:	java
Requires:	%{name}-ssl-proxies = %{version}-%{release}
Requires:	%{name}-jsse = %{version}-%{release}
Requires:	%{name}-gss = %{version}-%{release}
Requires:	apache-commons-logging
Requires:	bouncycastle
Requires:	springframework

%description gridftp
Globus Java library with GridFTP support

%package javadoc
Summary:	Javadocs for %{name}
License:	ASL 2.0 and MIT
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# Many tests requires network connections and a valid proxy certificate
mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 \
	     -Dmaven.test.skip=true install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 644 ssl-proxies/target/ssl-proxies-*.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/ssl-proxies.jar
install -p -m 644 jsse/target/jsse-*.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jsse.jar
install -p -m 644 gss/target/gss-*.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/gss.jar
install -p -m 644 gram/target/gram-*.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/gram.jar
install -p -m 644 gridftp/target/gridftp-*.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/gridftp.jar    

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -pr target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 644 pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-all.pom
install -p -m 644 ssl-proxies/pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-ssl-proxies.pom
install -p -m 644 jsse/pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jsse.pom
install -p -m 644 gss/pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-gss.pom
install -p -m 644 gram/pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-gram.pom
install -p -m 644 gridftp/pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-gridftp.pom

%add_maven_depmap JPP.%{name}-%{name}-all.pom
%add_maven_depmap JPP.%{name}-ssl-proxies.pom %{name}/ssl-proxies.jar
%add_maven_depmap JPP.%{name}-jsse.pom %{name}/jsse.jar
%add_maven_depmap JPP.%{name}-gss.pom %{name}/gss.jar
%add_maven_depmap JPP.%{name}-gram.pom %{name}/gram.jar
%add_maven_depmap JPP.%{name}-gridftp.pom %{name}/gridftp.jar

%files ssl-proxies
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/ssl-proxies.jar
%{_mavenpomdir}/JPP.%{name}-ssl-proxies.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-all.pom
%{_mavendepmapfragdir}/%{name}

%files jsse
%{_javadir}/%{name}/jsse.jar
%{_mavenpomdir}/JPP.%{name}-jsse.pom

%files gss
%{_javadir}/%{name}/gss.jar
%{_mavenpomdir}/JPP.%{name}-gss.pom

%files gram
%{_javadir}/%{name}/gram.jar
%{_mavenpomdir}/JPP.%{name}-gram.pom

%files gridftp
%{_javadir}/%{name}/gridftp.jar
%{_mavenpomdir}/JPP.%{name}-gridftp.pom

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Mon Apr 23 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.4-2
- Add MIT license tag

* Fri Apr 13 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.4-1
- First packaging
